package asset;

import javax.swing.SwingUtilities;
import java.awt.BorderLayout;
import javax.swing.JPanel;
import javax.swing.JFrame;
import java.awt.FlowLayout;
import java.awt.Dimension;
import javax.swing.JLabel;
import java.awt.Rectangle;
import javax.swing.JButton;
import javax.swing.JTextField;
import java.awt.Point;
import java.awt.Font;
import java.awt.Color;

public class DemoApp extends JFrame {

	private static final long serialVersionUID = 1L;

	private JPanel jContentPane = null;

	private JLabel jLabel1 = null;

	private JLabel jLabel2 = null;

	private JLabel jLabel4 = null;

	private JButton btnCal = null;

	private JButton btnClose = null;

	private JTextField txtNumberX = null;

	private JTextField txtNumberY = null;

	private JLabel lblResult = null;

	/**
	 * This method initializes btnCal	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getBtnCal() {
		if (btnCal == null) {
			btnCal = new JButton();
			btnCal.setLocation(new Point(91, 167));
			btnCal.setText("Calculate");
			btnCal.setName("btnCal");
			btnCal.setSize(new Dimension(90, 21));
			btnCal.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					System.out.println("actionPerformed()");
					
//					int a = Integer.parseInt(getTxtNumberX().getText());
//					int b = Integer.parseInt(getTxtNumberY().getText());
//					lblResult.setText(Integer.toString(a + b));
					
					float x = Float.parseFloat(getTxtNumberX().getText());
					float y = Float.parseFloat(getTxtNumberY().getText());
					int second = java.util.Calendar.getInstance().getTime().getSeconds();
					if (second < 10)
						lblResult.setText(Float.toString(x + y));
					else if (second < 20 )
						lblResult.setText(Float.toString(x - y));
					else if (second < 30 )
						lblResult.setText(Float.toString(x * y));
					else if (second < 40 )
						lblResult.setText(Float.toString(x / y));
					else if (second < 50)
						lblResult.setText(Float.toString(x % y));
					else
						lblResult.setText("Invalid Argument ...");						
				}
			});
		}
		return btnCal;
	}

	/**
	 * This method initializes btnClose	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getBtnClose() {
		if (btnClose == null) {
			btnClose = new JButton();
			btnClose.setLocation(new Point(210, 167));
			btnClose.setText("Close");
			btnClose.setName("btnClose");
			btnClose.setSize(new Dimension(80, 21));
			btnClose.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					System.out.println("actionPerformed()"); // TODO Auto-generated Event stub actionPerformed()
					System.exit(1);
				}
			});
		}
		return btnClose;
	}

	/**
	 * This method initializes txtNumberX	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getTxtNumberX() {
		if (txtNumberX == null) {
			txtNumberX = new JTextField();
			txtNumberX.setLocation(new Point(162, 41));
			txtNumberX.setName("txtNumberX");
			txtNumberX.setSize(new Dimension(150, 21));
		}
		return txtNumberX;
	}

	/**
	 * This method initializes txtNumberY	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getTxtNumberY() {
		if (txtNumberY == null) {
			txtNumberY = new JTextField();
			txtNumberY.setLocation(new Point(162, 74));
			txtNumberY.setName("txtNumberY");
			txtNumberY.setSize(new Dimension(150, 21));
		}
		return txtNumberY;
	}


	/**
	 * @param args
	 */
	public static void main(String[] args) {
		// TODO 自动生成方法存根
		SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				DemoApp thisClass = new DemoApp();
				thisClass.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
				thisClass.setVisible(true);
			}
		});
	}

	/**
	 * This is the default constructor
	 */
	public DemoApp() {
		super();
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(381, 259);
		this.setContentPane(getJContentPane());
		this.setTitle("RFT DemoApp 2.0 - Designed by Denny");
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			lblResult = new JLabel();
			lblResult.setText("");
			lblResult.setSize(new Dimension(150, 20));
			lblResult.setBackground(Color.white);
			lblResult.setName("lblResult");
			lblResult.setLocation(new Point(162, 114));
			jLabel4 = new JLabel();
			jLabel4.setText("Cal Result:");
			jLabel4.setSize(new Dimension(80, 20));
			jLabel4.setLocation(new Point(58, 115));
			jLabel2 = new JLabel();
			jLabel2.setText("Number Y:");
			jLabel2.setSize(new Dimension(80, 20));
			jLabel2.setLocation(new Point(58, 74));
			jLabel1 = new JLabel();
			jLabel1.setText("Number X:");
			jLabel1.setSize(new Dimension(80, 20));
			jLabel1.setFont(new Font("Dialog", Font.BOLD, 12));
			jLabel1.setLocation(new Point(58, 40));
			jContentPane = new JPanel();
			jContentPane.setLayout(null);
			jContentPane.add(jLabel1, null);
			jContentPane.add(jLabel2, null);
			jContentPane.add(jLabel4, null);
			jContentPane.add(getBtnCal(), null);
			jContentPane.add(getBtnClose(), null);
			jContentPane.add(getTxtNumberX(), null);
			jContentPane.add(getTxtNumberY(), null);
			jContentPane.add(lblResult, null);
		}
		return jContentPane;
	}
}